<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Log;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Contracts\Queue\ShouldBeUnique;

class CalculateDistance implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Log::info("Here ");

        $result=0;
        for ($i = 0; $i < 10000; $i++) {
            // Simulate an expensive calculation (e.g., factorial)
            $result += $this->calculateFactorial($i);
        }
    }
    private function calculateFactorial($number)
    {
        if ($number <= 1) {
            return 1;
        } else {
            return $number * $this->calculateFactorial($number - 1);
        }
    }
}
